import { defineComponent as x, computed as n, unref as e, openBlock as o, createBlock as y, withCtx as i, createVNode as t, createElementBlock as u, Fragment as B, renderList as k, normalizeStyle as w, createElementVNode as _ } from "vue";
import { Card as C, Flex as c, Skeleton as l } from "@aplus-frontend/antdv";
import E from "@aplus-frontend/antdv/es/_util/hooks/useBreakpoint";
const S = { style: {
  width: "20%"
} }, N = /* @__PURE__ */ x({
  __name: "index",
  props: {
    active: { type: Boolean }
  },
  setup(a) {
    const d = {
      lg: !0,
      md: !0,
      sm: !1,
      xl: !1,
      xs: !1,
      xxl: !1
    }, p = {
      xs: 2,
      sm: 2,
      md: 4,
      lg: 4,
      xl: 5,
      xxl: 5
    }, f = E(), g = n(() => f.value || d), h = n(() => {
      const r = e(g);
      return Object.keys(r).filter((m) => r[m] === !0).pop() || "md";
    }), s = n(
      () => p[h.value] || 4
    );
    return (r, m) => (o(), y(e(C), {
      variant: "borderless",
      style: { marginBlockEnd: "16px" }
    }, {
      default: i(() => [
        t(e(c), {
          gap: 8,
          style: { marginBlockEnd: "16px" }
        }, {
          default: i(() => [
            (o(!0), u(B, null, k(new Array(s.value).fill(null), (b, v) => (o(), u("div", {
              key: v,
              style: w({ width: `${100 / s.value}%` })
            }, [
              t(e(l), {
                active: a.active,
                paragraph: !1,
                title: { style: { height: "24px", marginBottom: 0 } }
              }, null, 8, ["active"])
            ], 4))), 128))
          ]),
          _: 1
        }),
        t(e(c), {
          gap: 8,
          justify: "space-between"
        }, {
          default: i(() => [
            t(e(c), { gap: 8 }, {
              default: i(() => [
                t(e(l), {
                  active: a.active,
                  paragraph: !1,
                  title: { style: { height: "24px", marginBottom: 0 }, width: 48 }
                }, null, 8, ["active"]),
                t(e(l), {
                  active: a.active,
                  paragraph: !1,
                  title: { style: { height: "24px", marginBottom: 0 }, width: 48 }
                }, null, 8, ["active"]),
                t(e(l), {
                  active: a.active,
                  paragraph: !1,
                  title: { style: { height: "24px", marginBottom: 0 }, width: 48 }
                }, null, 8, ["active"])
              ]),
              _: 1
            }),
            _("div", S, [
              t(e(l), {
                active: a.active,
                paragraph: !1,
                title: {
                  style: { height: "24px", marginBottom: 0 }
                }
              }, null, 8, ["active"])
            ])
          ]),
          _: 1
        })
      ]),
      _: 1
    }));
  }
});
export {
  N as default
};
